Copy PagegetNftMetadataget https://alchemy-sdk-core-example.com/{apiKey}/getNftMetadataGets the metadata associated with a given NFT.Recent RequestsLog in to see full request historyTimeStatusUser Agent Retrieving recent requests…LoadingLoading…Path ParamsapiKeystringrequiredDefaults to docs-demo For higher throughput, create your own API keyQuery ParamscontractAddressstringrequiredDefaults to 0xBC4CA0EdA7647A8aB7C2061c2E118A18a936f13DString - Contract address for the NFT collection (ERC721 and ERC1155 supported).tokenIdstringrequiredDefaults to 1String - The ID of the token. Can be in hex or decimal format.tokenTypestringString - 'ERC721' or 'ERC1155'; specifies type of token to query for. API requests will perform faster if this is specified.tokenUriTimeoutInMsintegerNo set timeout by default - When metadata is requested, this parameter is the timeout (in milliseconds) for the website hosting the metadata to respond. If you want to only access the cache and not live fetch any metadata for cache misses then set this value to 0.refreshCachebooleanDefaults to falseDefaults to false for faster response times. If true will refresh metadata for given token. If false will check the cache and use it or refresh if cache doesn't exist.Response 200Updated almost 4 years ago Did this page help you?YesNo